import 'package:ambito/src/packages/ambito_theme/ambito_theme.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class AmbitoThemeLarge extends AmbitoTheme {
  @override
  TextTheme get textTheme => TextTheme(
        displayLarge: GoogleFonts.openSans(
            fontSize: 48,
            height: 1.12,
            fontWeight: FontWeight.w400,
            letterSpacing: -.25),
        displayMedium: GoogleFonts.openSans(
          fontSize: 40,
          height: 1.15,
          fontWeight: FontWeight.w400,
          letterSpacing: 0,
        ),
        displaySmall: GoogleFonts.openSans(
          fontSize: 24,
          height: 1.22,
          fontWeight: FontWeight.w400,
          letterSpacing: 0,
        ),
        headlineLarge: GoogleFonts.openSans(
          fontSize: 48,
          height: 1.25,
          fontWeight: FontWeight.w400,
          letterSpacing: 0,
        ),
        headlineMedium: GoogleFonts.openSans(
          fontSize: 40,
          height: 1.29,
          fontWeight: FontWeight.w400,
          letterSpacing: 0,
        ),
        headlineSmall: GoogleFonts.openSans(
          fontSize: 24,
          height: 1.33,
          fontWeight: FontWeight.w400,
          letterSpacing: 0,
        ),
        titleLarge: GoogleFonts.openSans(
          fontSize: 40,
          height: 1.27,
          fontWeight: FontWeight.w400,
          letterSpacing: 0,
        ),
        titleMedium: GoogleFonts.openSans(
          fontSize: 32,
          height: 1.5,
          fontWeight: FontWeight.w500,
          letterSpacing: 0.15,
        ),
        titleSmall: GoogleFonts.openSans(
          fontSize: 20,
          height: 1.42,
          fontWeight: FontWeight.w500,
          letterSpacing: 0.1,
        ),
        labelLarge: GoogleFonts.openSans(
          fontSize: 32,
          height: 1.42,
          fontWeight: FontWeight.w500,
          letterSpacing: 0.1,
        ),
        labelMedium: GoogleFonts.openSans(
          fontSize: 24,
          height: 1.33,
          fontWeight: FontWeight.w500,
          letterSpacing: 0.15,
        ),
        labelSmall: GoogleFonts.openSans(
          fontSize: 16,
          height: 1.45,
          fontWeight: FontWeight.w500,
          letterSpacing: 0.1,
        ),
        bodyLarge: GoogleFonts.openSans(
          fontSize: 20,
          height: 1.5,
          fontWeight: FontWeight.w400,
          letterSpacing: 0.5,
        ),
        bodyMedium: GoogleFonts.openSans(
          fontSize: 18,
          height: 1.42,
          fontWeight: FontWeight.w400,
          letterSpacing: 0.25,
        ),
        bodySmall: GoogleFonts.openSans(
          fontSize: 12,
          height: 1.33,
          fontWeight: FontWeight.w400,
          letterSpacing: 0.4,
        ),
      );
}
